Library Version 18.1.40

operator[]
Prev | Chapter 4. Db_vector | Next

## operator[]

### Function Details

    reference operator[](index_type n)

Index operator, can act as both a left value and a right value.

#### Parameters

##### n

The valid index of the vector.

#### Return Value

The reference to the element at specified position.

    const_reference operator[](index_type n) const

Read only index operator.

Only used as a right value, no need for assignment capability. The return value can't be used to update the element.

#### Parameters

##### n

The valid index of the vector.

#### Return Value

The const reference to the element at specified position.

### Group: Element access functions.

The operator[] and at() only come from std::vector and std::deque, If you are using db_vector as std::list, you don't have to set DB_RENUMBER flag to the backing database handle, and you get better performance, but at the same time you can't use these functions.

Otherwise if you have set the DB_RENUMBER flag to the backing database handle, you can use this function though it is an std::list equivalent.

### Class

db_vector

Prev | Up | Next
capacity | Home | at